<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Lifinity Dungeon: He_Arc::RPG::Shield Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Lifinity Dungeon
   &#160;<span id="projectnumber">6</span>
   </div>
   <div id="projectbrief">The Lifinity Dungeon is a dungeon with an infinity of room. After each room, you found a harder room. This is why you will pass the eternity of your life in this dungeon</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>He_Arc</b></li><li class="navelem"><b>RPG</b></li><li class="navelem"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html">Shield</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="class_he___arc_1_1_r_p_g_1_1_shield-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">He_Arc::RPG::Shield Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class for the shields, contains the stats and capacity of a shield A shield reduce damage taken by the character who held it.  
 <a href="class_he___arc_1_1_r_p_g_1_1_shield.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_shield_8hpp_source.html">Shield.hpp</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for He_Arc::RPG::Shield:</div>
<div class="dyncontent">
 <div class="center">
  <img src="class_he___arc_1_1_r_p_g_1_1_shield.png" usemap="#He_5FArc::RPG::Shield_map" alt=""/>
  <map id="He_5FArc::RPG::Shield_map" name="He_5FArc::RPG::Shield_map">
<area href="class_he___arc_1_1_r_p_g_1_1_i_object.html" title="Interface class, for the different objects who can be posseded by an characteur." alt="He_Arc::RPG::IObject" shape="rect" coords="0,0,133,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ae9d18b9d72271eef712f0cb9d650a13c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#ae9d18b9d72271eef712f0cb9d650a13c">Shield</a> (string name, int solidity)</td></tr>
<tr class="memdesc:ae9d18b9d72271eef712f0cb9d650a13c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html" title="Class for the shields, contains the stats and capacity of a shield A shield reduce damage taken by th...">Shield</a> object.  <a href="class_he___arc_1_1_r_p_g_1_1_shield.html#ae9d18b9d72271eef712f0cb9d650a13c">More...</a><br /></td></tr>
<tr class="separator:ae9d18b9d72271eef712f0cb9d650a13c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a646184e21bec106d9a9dc3d3bcdbea4f"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a646184e21bec106d9a9dc3d3bcdbea4f">GetFeature</a> () const override</td></tr>
<tr class="memdesc:a646184e21bec106d9a9dc3d3bcdbea4f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the feature (solidity) of the sword.  <a href="class_he___arc_1_1_r_p_g_1_1_shield.html#a646184e21bec106d9a9dc3d3bcdbea4f">More...</a><br /></td></tr>
<tr class="separator:a646184e21bec106d9a9dc3d3bcdbea4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a91783aba9b640901356e9b08f9b86692"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html#a91783aba9b640901356e9b08f9b86692">GetName</a> () const override</td></tr>
<tr class="memdesc:a91783aba9b640901356e9b08f9b86692"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the shield.  <a href="class_he___arc_1_1_r_p_g_1_1_shield.html#a91783aba9b640901356e9b08f9b86692">More...</a><br /></td></tr>
<tr class="separator:a91783aba9b640901356e9b08f9b86692"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec68a91dbe60e32d0430185c998d0598"><td class="memItemLeft" align="right" valign="top"><a id="aec68a91dbe60e32d0430185c998d0598"></a>
<a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html">Shield</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>operator=</b> (const <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html">Shield</a> &amp;shield)</td></tr>
<tr class="separator:aec68a91dbe60e32d0430185c998d0598"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_attribs_class_he___arc_1_1_r_p_g_1_1_i_object"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_he___arc_1_1_r_p_g_1_1_i_object')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html">He_Arc::RPG::IObject</a></td></tr>
<tr class="memitem:a17d77a15d393f4340110633166a8bfca inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_i_object"><td class="memItemLeft" align="right" valign="top"><a id="a17d77a15d393f4340110633166a8bfca"></a>
string&#160;</td><td class="memItemRight" valign="bottom"><b>m_name</b> {&quot;Unnamed object&quot;}</td></tr>
<tr class="separator:a17d77a15d393f4340110633166a8bfca inherit pro_attribs_class_he___arc_1_1_r_p_g_1_1_i_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class for the shields, contains the stats and capacity of a shield A shield reduce damage taken by the character who held it. </p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="ae9d18b9d72271eef712f0cb9d650a13c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9d18b9d72271eef712f0cb9d650a13c">&#9670;&nbsp;</a></span>Shield()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">Shield::Shield </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>name</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>solidity</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Construct a new <a class="el" href="class_he___arc_1_1_r_p_g_1_1_shield.html" title="Class for the shields, contains the stats and capacity of a shield A shield reduce damage taken by th...">Shield</a> object. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">name</td><td>name of the shield (for identifying it) </td></tr>
    <tr><td class="paramname">solidity</td><td>The solidity of the shield (damage reduced of the character) </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a646184e21bec106d9a9dc3d3bcdbea4f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a646184e21bec106d9a9dc3d3bcdbea4f">&#9670;&nbsp;</a></span>GetFeature()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int Shield::GetFeature </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the feature (solidity) of the sword. </p>
<dl class="section return"><dt>Returns</dt><dd>int solidity of the shield </dd></dl>

<p>Implements <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a4807f6fee53122a75df7580dcc75dd46">He_Arc::RPG::IObject</a>.</p>

</div>
</div>
<a id="a91783aba9b640901356e9b08f9b86692"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a91783aba9b640901356e9b08f9b86692">&#9670;&nbsp;</a></span>GetName()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string Shield::GetName </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">override</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Get the name of the shield. </p>
<dl class="section return"><dt>Returns</dt><dd>string the name of the shield </dd></dl>

<p>Implements <a class="el" href="class_he___arc_1_1_r_p_g_1_1_i_object.html#a41f873b2cb40ed5b8de45e0039397142">He_Arc::RPG::IObject</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li>cpp_filrouge_iscj_allemann/include/Object/<a class="el" href="_shield_8hpp_source.html">Shield.hpp</a></li>
<li>cpp_filrouge_iscj_allemann/src/Object/<a class="el" href="_shield_8cpp.html">Shield.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
